# Demostrate using subclassed windows
#
import pyglet

class MyWindow(pyglet.window.Window):

    def __init__(self):
        super(MyWindow, self).__init__()
        self._label = pyglet.text.Label('Hello, world',
                font_name='Times New Roman', font_size=36,
                x=self.width//2, y=self.height//2,
                anchor_x='center', anchor_y='center')

    def on_draw(self):
        self.clear()
        self._label.draw()

if __name__ == "__main__":
    win = MyWindow()
    pyglet.app.run()
